UNHIDE-TCP(8)

NOM
unhide-tcp — outil d'investigation post-mortem pour trouver des ports TCP/UDP cachés

SYNOPSIS

unhide-tcp [options]

DESCRIPTION

unhide-tcp est un outil d'investigation post-mortem qui identifie les ports TCP/UDP qui sont à l'écoute mais qui ne sont pas listés par /sbin/ss (ou alternativement par /bin/netstat) en utilisant la force brute : ouverture de tous les ports TCP/UDP existants.
Note1 : sur FreeBSD et OPENBSD, netstat est systématiquement utilisé iproute2 n'existant pas sur ces systèmes. De plus sur FreeBSD, sockstat est utilisé à la place de fuser. Note2 : si iproute2 n'est pas installé sur le système, une des option -n ou - s DOIT être utilisée sur la ligne de commande.

OPTIONS

-h  Affiche l'aide.

--brief
    N'affiche pas les messages d'avertissement, c'est le comportement par défaut.

-f --fuser
    Affiche la sortie de fuser (si elle est disponible) pour les ports cachés. Sur FreeBSD, affiche, à la place, la sortie de sockstat pour les ports cachés.

-l --lsof
    Affiche la sortie de lsof (si elle est disponible) pour les ports cachés.

-n --netstat
    Utilise /bin/netstat au lieu de /sbin/ss. Sur les systèmes où un grand nombre de ports sont ouverts, cela peut ralentir le test de façon dramatique.

-o --log
    Enregistre les sorties dans un fichier de log (unhide-tcp-AAAA-MM-JJ.log) situé dans le répertoire courant.

-s --server
    Utilise une stratégie d'analyse très rapide. Sur un système avec un très grand nombre de ports ouverts, c'est des centaines de fois plus rapide que la méthode ss et des dizaines de milliers de fois plus rapide que la méthode netstat.

-V --version
    Affiche la version et sort

-v --verbose
    Affichage prolixe, affiche les message d'avertissement (par défaut : ne pas afficher).

  Exit status:

0   si aucun port caché n'est trouvé,

4   si un ou plusieurs port(s) TCP caché(s) est(sont) trouvé(s),

8   si un ou plusieurs port(s) UDP caché(s) est(sont) trouvé(s),

12  si des ports TCP et UDP cachés sont trouvés.

VOIR AUSSI

unhide (8).

AUTEUR

Cette page de manuel a été écrite par Patrick Gouin (patrick-g@users.sourceforge.net). Permission vous est donnée de copier, distribuer et/ou modifier ce document sous les termes de la GNU General Public License, Version 3 ou toute version ultérieure publiée par la Free Software Foundation.

LICENCE
Licence GPLv3: GNU GPL version 3 ou version ultérieure <http://gnu.org/licenses/gpl.html>.
Ce logiciel est libre : vous êtes libre de le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE, dans les limites permises par la loi.